title = "URLs"

[[rules]]
id = "url"
description = '''Non localhost URL'''
regex = '''((?:(?:[a-zA-Z0-9+\-.]*:)+(?:\/){1,2})(?:(?:(?:[^@\/?#\s\-_]+)@)?(?:[^\/?#\s]+)?)(?:\/[^\?^#.]+)*(?:[#][^\?.]*)?(?:[\?](?:[^#\s]+))?)'''
keywords = [ "jdbc", "amazonaws.com", "ec2.internal", "compute.internal", "windows.net", "service.nhsbsa" ]

[rules.allowlist]
description = "Allow localhost, maven, text-ish files"
regexes = [ "localhost", "maven", "classpath", "https://[a-zA-Z0-9]+.atlassian.net" ]
paths = [ ".html", ".xml", ".md", ".txt", "mvnw" ]
